commit: 65a92db18637a317e412ea186c85016f01129823
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 21 22:18:40 2015 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Wed Jan 21 22:18:40 2015 +0000
URL:
http://sources.gentoo.org/gitweb/?p=proj/emacs.git;a=commit;h=65a92db1
app-emacs/emacs-common-gentoo: Set g+w mode bit for dir and files.
Package-Manager: portage-2.2.15
---
app-emacs/emacs-common-gentoo/emacs-common-gentoo-9999-r1.ebuild | 2 ++
1 file changed, 2 insertions(+)
diff --git a/app-emacs/emacs-common-gentoo/emacs-common-gentoo-9999-r1.ebuild
b/app-emacs/emacs-common-gentoo/emacs-common-gentoo-9999-r1.ebuild
index 48c2eb6..04fb9b7 100644
--- a/app-emacs/emacs-common-gentoo/emacs-common-gentoo-9999-r1.ebuild
+++ b/app-emacs/emacs-common-gentoo/emacs-common-gentoo-9999-r1.ebuild
@@ -37,6 +37,7 @@ src_install() {
if use games; then
keepdir /var/games/emacs
fowners root:games /var/games/emacs
+ fperms g+w /var/games/emacs
fi
if use X; then
@@ -107,6 +108,7 @@ pkg_preinst() {
fi
touch "${ED}${f}" || die
chown root:games "${ED}${f}" || die
+ chmod g+w "${ED}${f}" || die
done
fi